## nss-tls 0~git20200523

=== meson_options.txt ===
option(
    'resolvers',
    type: 'string',
    value: 'https://dns9.quad9.net/dns-query',
    description: 'Comma-delimited URLs of DoH servers to use'
)

option(
    'timeout',
    type: 'integer',
    value: 4,
    description: 'Timeout for each resolving attempt'
)

option(
    'user',
    type: 'string',
    value: 'daemon',
    description: 'An unprivileged user to drop to when nss-tlsd runs as root'
)

option(
    'group',
    type: 'string',
    value: 'daemon',
    description: 'An unprivileged group to drop to when nss-tlsd runs as root'
)

=== debian/changelog ===
nss-tls (0~git20200523-2) unstable; urgency=medium

  * Correctly list license as LGPL-2.1+ in debian/copyright

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 13 Jul 2020 11:23:56 +0900

nss-tls (0~git20200523-1) unstable; urgency=medium

  * Initial release (Closes: #958710)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 23 May 2020 22:01:40 +0900

=== debian/control ===
Source: nss-tls
Priority: optional
Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
Build-Depends: debhelper-compat (= 12), libglib2.0-dev (>= 2.44),
 libsoup2.4-dev, ninja-build, python3-pip, meson
Standards-Version: 4.5.0
Section: net
Rules-Requires-Root: no
Homepage: https://github.com/dimkr/nss-tls
#Vcs-Browser: https://salsa.debian.org/debian/nss-tls
#Vcs-Git: https://salsa.debian.org/debian/nss-tls.git

Package: nss-tlsd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: encrypted DNS name resolution daemon
 nss-tls is an alternative, encrypted name resolving library to use
 with glibc, which uses DNS-over-HTTPS (DoH).
 .
 The glibc name resolver can be configured through nsswitch.conf(5) to
 use nss-tls instead of the DNS resolver, or fall back to DNS when
 nss-tls fails.
 .
 This way, all applications that use the standard resolver API
 (getaddrinfo(), gethostbyname(), etc'), are transparently migrated
 from DNS to encrypted means of name resolving, with zero
 application-side changes and minimal resource consumption footprint.
 However, nss-tls does not deal with applications that use their own,
 built-in DNS resolver.
 .
 This package contains the daemon to be used in conjunction with the
 libnss-tls NSS module. The daemon runs in the background, receives
 name resolving requests over a Unix socket and replies with resolved
 addresses.

Package: libnss-tls
Architecture: any
Multi-Arch: same
Depends: nss-tlsd (>=${source:Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: NSS module for encrypted DNS name resolution
 nss-tls is an alternative, encrypted name resolving library to use
 with glibc, which uses DNS-over-HTTPS (DoH).
 .
 The glibc name resolver can be configured through nsswitch.conf(5) to
 use nss-tls instead of the DNS resolver, or fall back to DNS when
 nss-tls fails.
 .
 This way, all applications that use the standard resolver API
 (getaddrinfo(), gethostbyname(), etc'), are transparently migrated
 from DNS to encrypted means of name resolving, with zero
 application-side changes and minimal resource consumption footprint.
 However, nss-tls does not deal with applications that use their own,
 built-in DNS resolver.
 .
 This package contains the NSS module, a tiny client library, which
 delegates the resolving work to nss-tlsd through the Unix socket and
 passes the results back to the application, without dependencies
 other than libc.

Package: tlslookup
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility like nslookup(1), but uses libnss_tls.so instead of DNS
 nss-tls is an alternative, encrypted name resolving library to use
 with glibc, which uses DNS-over-HTTPS (DoH).
 .
 The glibc name resolver can be configured through nsswitch.conf(5) to
 use nss-tls instead of the DNS resolver, or fall back to DNS when
 nss-tls fails.
 .
 This way, all applications that use the standard resolver API
 (getaddrinfo(), gethostbyname(), etc'), are transparently migrated
 from DNS to encrypted means of name resolving, with zero
 application-side changes and minimal resource consumption footprint.
 However, nss-tls does not deal with applications that use their own,
 built-in DNS resolver.
 .
 This package contains the utility program to lookup DNS names using
 libnss-tls.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEFAULT_RESOLVERS=https://9.9.9.9/dns-query,https://8.8.8.8/dns-query,https://1.1.1.1/dns-query

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dresolvers=$(DEFAULT_RESOLVERS)

## nss-tls 1.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 option(
     'resolvers',
     type: 'string',
-    value: 'https://dns9.quad9.net/dns-query',
     description: 'Comma-delimited URLs of DoH servers to use'
 )

=== debian/changelog ===
nss-tls (1.1-4) unstable; urgency=medium

  * debian/patches: import upstream change to migrate to libsoup-3.0. (Closes: #1073950)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 29 Aug 2025 21:40:52 +0900

nss-tls (1.1-3) unstable; urgency=medium

  * debian/control: drop build-dep systemd. (Closes: #1060575)
  * debian/control: bump standards-version to 4.6.2, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 12 Feb 2024 19:21:18 +0900

nss-tls (1.1-2) unstable; urgency=medium

  * Fix FTBFS when systemd.pc changes systemdsystemunitdir. Thanks Helmut Grohne (Closes: #1052665)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 18 Nov 2023 15:53:18 +0900

nss-tls (1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/libnss-tls.nss: Install NSS service `tls` via dh_installnss
    (Closes: #1024688)

 -- Gioele Barabucci <gioele@svario.it>  Sat, 03 Dec 2022 10:18:04 +0100

nss-tls (1.1-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream 1.1 release (Closes: #977303)
  * debian/control: bump Standards-Version to 4.5.1, no changes needed
  * debian/control: Add salsa Vcs-* info

  [ Dima Krasner ]
  * debian: make systemd.pc a build-time dependency
  * debian: give nss-tls priority over nss-resolve too

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 01 Jan 2021 14:34:22 +0900

nss-tls (1.0-1) unstable; urgency=medium

  [ Dima Krasner ]
  * debian: remove 0001-Add-simple-manpage-for-tlslookup.patch, upstreamed
  * debian: 8.8.8.8 wants dns.google in Host:
  * debian: 8.8.8.8 documentation recommends GET

  [ Kan-Ru Chen ]
  * New upstream version 1.0

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Wed, 15 Jul 2020 22:45:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: nss-tls
 Priority: optional
 Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
-Build-Depends: debhelper-compat (= 12), libglib2.0-dev (>= 2.44),
- libsoup2.4-dev, ninja-build, python3-pip, meson
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12),
+ dh-sequence-installnss,
+ libglib2.0-dev (>= 2.44),
+ libsoup-3.0-dev, systemd-dev, ninja-build, pkgconf, python3-pip, meson
+Standards-Version: 4.6.2
 Section: net
 Rules-Requires-Root: no
 Homepage: https://github.com/dimkr/nss-tls
-#Vcs-Browser: https://salsa.debian.org/debian/nss-tls
-#Vcs-Git: https://salsa.debian.org/debian/nss-tls.git
+Vcs-Browser: https://salsa.debian.org/debian/nss-tls
+Vcs-Git: https://salsa.debian.org/debian/nss-tls.git
 
 Package: nss-tlsd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,13 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-DEFAULT_RESOLVERS=https://9.9.9.9/dns-query,https://8.8.8.8/dns-query,https://1.1.1.1/dns-query
+DEFAULT_RESOLVERS=https://9.9.9.9/dns-query,https://dns.google/dns-query+get,https://1.1.1.1/dns-query
 
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dresolvers=$(DEFAULT_RESOLVERS)
+
+execute_after_dh_install:
+	dh_install -pnss-tlsd "$$(pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)/nss-tlsd.service"
